Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"a0c48c23-1a37-470d-bc5a-82e9044b15e5","userId":"32399b6d-b071-49d3-8633-ad5ef85e92a3","userUrl":null,"dateSwiped":"2026-04-23T09:24:07.9159143+00:00","dateViewed":"2026-04-23T09:24:07.9159143+00:00"},{"id":"6000a833-7850-498f-80f5-5dda1ee94621","userId":"bec0070e-ae6d-4793-8d27-fa04706f75d5","userUrl":null,"dateSwiped":null,"dateViewed":"2026-04-24T09:24:07.9159143+00:00"}]}
object
  count integer      
  data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string